/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IArduinoatuador;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Arduinoatuador implements VertxPojo, IArduinoatuador {

    private static final long serialVersionUID = 1694384275;

    private Integer ardsenid;
    private Integer fkardid;
    private Integer fkatuid;

    public Arduinoatuador() {}

    public Arduinoatuador(Arduinoatuador value) {
        this.ardsenid = value.ardsenid;
        this.fkardid = value.fkardid;
        this.fkatuid = value.fkatuid;
    }

    public Arduinoatuador(
        Integer ardsenid,
        Integer fkardid,
        Integer fkatuid
    ) {
        this.ardsenid = ardsenid;
        this.fkardid = fkardid;
        this.fkatuid = fkatuid;
    }

    @Override
    public Integer getArdsenid() {
        return this.ardsenid;
    }

    @Override
    public Arduinoatuador setArdsenid(Integer ardsenid) {
        this.ardsenid = ardsenid;
        return this;
    }

    @Override
    public Integer getFkardid() {
        return this.fkardid;
    }

    @Override
    public Arduinoatuador setFkardid(Integer fkardid) {
        this.fkardid = fkardid;
        return this;
    }

    @Override
    public Integer getFkatuid() {
        return this.fkatuid;
    }

    @Override
    public Arduinoatuador setFkatuid(Integer fkatuid) {
        this.fkatuid = fkatuid;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Arduinoatuador (");

        sb.append(ardsenid);
        sb.append(", ").append(fkardid);
        sb.append(", ").append(fkatuid);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IArduinoatuador from) {
        setArdsenid(from.getArdsenid());
        setFkardid(from.getFkardid());
        setFkatuid(from.getFkatuid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IArduinoatuador> E into(E into) {
        into.from(this);
        return into;
    }

    public Arduinoatuador(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
